tgatoppm(1)

NAME
tgatoppm - convert TrueVision Targa file into a portable pixmap

SYNOPSIS
tgatoppm [--alphaout={alpha-filename,-}] [--headerdump] tga-filename

DESCRIPTION
Reads a TrueVision Targa file as input. Produces a portable pixmap as output.

OPTIONS

--alphaout=alpha-filename
    tgatoppm creates a PGM (portable graymap) file containing the alpha channel values in the input image. If the input image doesn't contain an alpha channel, the alpha-filename file contains all zero (transparent) alpha values. If you don't specify --alphaout, tgatoppm does not generate an alpha file, and if the input image has an alpha channel, tgatoppm simply discards it. If you specify - as the filename, tgatoppm writes the alpha output to Standard Output and discards the image. See pnmcomp(1) for one way to use the alpha output file.

--headerdump
    Causes the header information to be dumped to stderr.

All options can be abbreviated to their shortest unique prefix. Should really be in PNM, not PPM.

SEE ALSO
ppmtotga(1), pnmcomp(1), ppm(5)

AUTHOR
Partially based on tga2rast, version 1.0, by Ian J. MacPhedran. Copyright (C) 1989 by Jef Poskanzer.